using System;
using AIStudio.Wpf.DiagramDesigner;
using AIStudio.Wpf.DiagramHelper.Extensions.Models;

namespace AIStudio.Wpf.DiagramHelper.Extensions.ViewModels
{
    public class PathItemViewModel : DesignerItemViewModelBase
    {
        public PathItemViewModel() : base()
        {

        }

        public PathItemViewModel(IDiagramViewModel parent, PathDesignerItem designer) : base(parent, designer)
        {
           
        }


        public PathItemViewModel(IDiagramViewModel parent, string json) : base(parent, json)
        {

        }

        public override SelectableDesignerItemBase ToXmlObject()
        {
            return new PathDesignerItem(this);
        }

        public override Type ToXmlType()
        {
            return typeof(PathDesignerItem);
        }

        protected override void Init()
        {
            base.Init();

            this.ShowConnectors = false;
        }
    }
}
